summaryrefslogtreecommitdiffstats
path: root/source/a/sed/sed.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/sed/sed.SlackBuild')
-rwxr-xr-xsource/a/sed/sed.SlackBuild66
1 files changed, 53 insertions, 13 deletions
diff --git a/source/a/sed/sed.SlackBuild b/source/a/sed/sed.SlackBuild
index 8dedfc4b4..7684a10dc 100755
--- a/source/a/sed/sed.SlackBuild
+++ b/source/a/sed/sed.SlackBuild
@@ -21,22 +21,35 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-VERSION=4.1.5
-ARCH=${ARCH:-x86_64}
+VERSION=4.2.1
BUILD=${BUILD:-1}
CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-sed
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
if [ "$ARCH" = "i386" ]; then
SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "s390" ]; then
SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
rm -rf $PKG
@@ -44,34 +57,61 @@ mkdir -p $PKG $PKG
cd $TMP
rm -rf sed-$VERSION
-tar xzvf $CWD/sed-$VERSION.tar.gz
+tar xvf $CWD/sed-$VERSION.tar.?z* || exit 1
cd sed-$VERSION
chown -R root:root .
find . -perm 777 -exec chmod 755 {} \;
find . -perm 664 -exec chmod 644 {} \;
+
CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
- $ARCH-slackware-linux
-make -j5
-make install DESTDIR=$PKG
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --mandir=/usr/man \
+ --infodir=/usr/info \
+ --docdir=/usr/doc/sed-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
mkdir -p $PKG/bin
mv $PKG/usr/bin/sed $PKG/bin
( cd $PKG/usr/bin ; ln -sf /bin/sed . )
+
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
+
+# Compress and if needed symlink the man pages:
+if [ -d $PKG/usr/man ]; then
+ ( cd $PKG/usr/man
+ for manpagedir in $(find . -type d -name "man*") ; do
+ ( cd $manpagedir
+ for eachpage in $( find . -type l -maxdepth 1) ; do
+ ln -s $( readlink $eachpage ).gz $eachpage.gz
+ rm $eachpage
+ done
+ gzip -9 *.?
+ )
+ done
+ )
+fi
+
+rm -f $PKG/usr/info/dir
+gzip -9 $PKG/usr/info/*
+
mkdir -p $PKG/usr/doc/sed-$VERSION
cp -a \
- ANNOUNCE AUTHORS BUGS COPYING* INSTALL NEWS README README.boot THANKS TODO \
+ AUTHORS BUGS COPYING* INSTALL NEWS README* THANKS \
$PKG/usr/doc/sed-$VERSION
-gzip -9 $PKG/usr/man/man?/*.?
-rm -f $PKG/usr/info/dir
-gzip -9 $PKG/usr/info/*
+
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-makepkg -l y -c n $TMP/sed-$VERSION-$ARCH-$BUILD.txz
+/sbin/makepkg -l y -c n $TMP/sed-$VERSION-$ARCH-$BUILD.txz